ata_std_prereset
Prev | Chapter 4. libata Library | Next

## Name

ata_std_prereset — prepare for reset

## Synopsis

`int ata_std_prereset (` | struct ata_port * | ap,
| unsigned long | deadline`)`;

## Arguments

`ap`

  ATA port to be reset

`deadline`

  deadline jiffies for the operation

## Description

`ap` is about to be reset. Initialize it. Failure from prereset makes libata abort whole reset sequence and give up that port, so prereset should be best-effort. It does its best to prepare for reset sequence but if things go wrong, it should just whine, not fail.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
sata_phy_resume | Home | ata_std_softreset